/*
 * @author: ym
 * @Date: 2021-10-31 13:01:13
 * @LastEditTime: 2021-10-31 13:38:31
 * @LastEditors: ym
 * @Description: 
 * @FilePath: \background-front-end\src\api\modules\active-manage.js
 */
//===================== 活动 =============================
import $http from '../../utils/httpRequest'

// 资讯管理=================================================
// 增
export const saveActivityInfo=(content)=>{
    return $http.post('/activity/redactivityinfo/save',JSON.stringify(content))
}
// 删
export const deleteRedActivityInfo=(idList)=>{
    return $http.post('/activity/redactivityinfo/delete',JSON.stringify(idList));
}
// 改
export const updateRedActivityInfo=(ids)=>{
    return $http.post('/activity/redactivityinfo/update',JSON.stringify(ids))
}
// 查
export const getActivityInfoListByParams=(obj)=>{
    return $http({
        url:'/activity/redactivityinfo/getActivityInfoListByParams',
        method: 'get',
        params: $http.adornParams(obj)
    })
}

// 轮播图管理=================================================
// 增
export const saveActivityImage=(content)=>{
    return $http.post('/activity/redactivityimage/save',JSON.stringify(content))
}
// 删
export const deleteRedActivityImage=(idList)=>{
    return $http.post('/activity/redactivityimage/delete',JSON.stringify(idList));
}
// 改
export const updateRedActivityImage=(ids)=>{
    return $http.post('/activity/redactivityimage/update',JSON.stringify(ids))
}
// 查
export const getRedActivityImage=(obj)=>{
    return $http({
        url:'/activity/redactivityimage/list',
        method: 'get',
        params: $http.adornParams(obj)
    })
}