import $http from '../../utils/httpRequest'

// 新增部门√
export const addDepartment=(departmentName,parentId,parentName,responseUser,departmentRemark,departmentNumber)=>{
    return $http.post('/sys/sysdepartment/save',{
        departmentName,parentId,parentName,responseUser,departmentRemark,departmentNumber
    })
}
// 修改部门√
export const updateDepartment=(departmentId,departmentName,parentId,parentName,responseUser,departmentRemark,departmentNumber)=>{
    return $http.post('/sys/sysdepartment/update',{
        departmentId,departmentName,parentId,parentName,responseUser,departmentRemark,departmentNumber
    })
}
// 根据id批量删除部门√
export const deleteDepartmentsByIdArray=(departmentIdArray)=>{
    return $http.post('/sys/sysdepartment/delete',JSON.stringify(departmentIdArray));
}
// 查询部门√
export const queryDepartmentById=(departmentId)=>{
    return $http.get('/sys/sysdepartment/info/'+departmentId);
}

// 查询全部部门√
export const queryAllDepartments=()=>{
    return $http.get('/sys/sysdepartment/list');
}