/*
 * @Author: ym
 * @Date: 2021-09-23 20:34:59
 * @LastEditTime: 2021-09-27 22:01:58
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \piecework-treasure\src\api\modules\userManage.js
 */
import $http from '../../utils/httpRequest'

// 批量查询人员
export const queryUser=(obj)=>{
    return $http.get(`/sys/user/list?page=${obj.page}&limit=${obj.limit}&departmentName=${obj.departmentName}&userTypeName=${obj.userTypeName}&wokerTypeName=${obj.workerTypeName}&userStatus=${obj.userStatus}&condition=${obj.condition}`);
}
// 添加人员
export const saveUser=(obj)=>{
    return $http.post('/sys/user/save',JSON.stringify(obj));
}
// 查询人员
export const selectUser=(id)=>{
    return $http.get('/sys/user/info/'+id);
}
// 修改人员
export const editUser=(obj)=>{
    return $http.post('/sys/user/update',JSON.stringify(obj));
}
// 删除人员
export const deleteUser=(obj)=>{
    return $http.post('/sys/user/delete',JSON.stringify(obj));
}
// 批量修改
// [{"userId":3,"userStatus":"测试1"},{"userId":4,"userStatus":"测试2"}]
export const updateBatch=(obj)=>{
    return $http.post('/sys/user/updateBatch',JSON.stringify(obj));
}