/*
 * @Author: cwl
 * @Date: 2021-12-23 14:12:02
 * @LastEditTime: 2022-01-01 20:48:32
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: \background-front-end\src\api\modules\active-match.js
 */
import $http from '../../utils/httpRequest'

//===================== 活动/赛事管理 =============================
export function addActiveMatch(data){
    return $http({
        url:'/activity/redactivitymatch/save',
        method:'post',
        data
    })
}
export function getActiveMatch(params){
    return $http({
        url:'/activity/redactivitymatch/getListDetails',
        params
    })
}
export function delActiveMatch(data){
    return $http({
        url:'/activity/redactivitymatch/delete',
        method:'post',
        data
    })
}
export function updateActiveMatch(data){
    return $http({
        url:'/activity/redactivitymatch/update',
        method:'post',
        data
    })
}
//===================== 报名信息=============================
export function getActiveSignUp(params){
    return $http({
        url:'/activity/redactivitysignup/list',
        params
    })
}
//===================== 作品审核=============================
export function getWorksExamine(params){
    return $http({
        url:'/activity/redactivityworks/list',
        params
    })
}

export function setWorksExamine(data){
    return $http({
        url:'/activity/redactivityworks/setWorks',
        method:'post',
        data
    })
}

export function getWorksAwardList(id){
    return $http({
        url:'/activity/reduseraward/list/'+id,
        id
    })
}
export function delelteWorksAward(data){
    return $http({
        url:'/activity/reduseraward/delete',
        method:'post',
        data
    })
}
export function addWorksAward(data){
    return $http({
        url:'/activity/reduseraward/save',
        method:'post',
        data
    })
}
export function updateWorksAward(data){
    return $http({
        url:'/activity/reduseraward/update',
        method:'post',
        data
    })
}