/*
 * @author: ym
 * @Date: 2021-10-10 13:45:17
 * @LastEditTime: 2021-10-10 14:46:44
 * @LastEditors: ym
 * @Description: 
 * @FilePath: \background-front-end\src\api\modules\intetral.js
 */
import $http from '../../utils/httpRequest'
import dayjs from 'dayjs'
//**********未严格命名 */




//查询升级所需积分
export function findUploadIntegral(data){
    return $http({
        url:'/integral/redintegralupgrade/info/1'
    })
}
//保存升级所需积分
export function saveUploadIntegral(upgradeId,integral){
    return $http({
        url:'/integral/redintegralupgrade/update',
        method:'post',
        data:{
            integral,
            upgradeId
        }
    })
}
//查看段位列表
export function findLevelType(){
    return $http({
        url:'/integral/redintegrallevel/list',
    })
}
export function savelevelType(data){
    
    return $http({
        url:'/integral/redintegrallevel/update',
        method:'post',
        data
    })
}
//**********未严格命名（结尾） */


//查询所有红星币规则
export function getRedCoinRule(params){
    return $http({
        url:'/integral/redstarcoinrule/getRedCoinRuleByParams',
        params
    })
}
//添加红星币规则
export function addRedCoinRule(data){
    console.log(data)
    return $http({
        url:'/integral/redstarcoinrule/saveNewRule',
        method:'post',
        data
    })
}
//删除红星币规则
export function deleteRedCoinRule(data){
    return $http({
        url:'/integral/redstarcoinrule/delete',
        method:'post',
        data
    })
}
//更新红星币规则
export function updateRedCoinRule(data){
    return $http({
        url:'/integral/redstarcoinrule/update',
        method:'post',
        data
    })
}

//查询所有积分规则
export function getIntegralRule(params){
    return $http({
        url:'/integral/redintegralrule/getRuleListByParams',
        params
    })
}
//添加积分规则
export function addIntegralRule(data){
    return $http({
        url:'/integral/redintegralrule/saveNewRule',
        method:'post',
        data
    })
}
//更新所有积分规则
export function updateIntegralRule(data){
    return $http({
        url:'/integral/redintegralrule/update',
        method:'post',
        data
    })
}
//删除所有积分规则
export function deleteIntegralRule(data){
    return $http({
        url:'/integral/redintegralrule/delete',
        method:'post',
        data
    })
}

//查询积分协议
export function getInteralAgreement(data){
    return $http({
        url:'/integral/redintegralruleinfo/getInfoByContentType/'+data
    })
}
//保存积分协议
export function saveInteralAgreement(ruleInfoId,ruleInfoContent,contentType){
    return $http({
        url:'/integral/redintegralruleinfo/update',
        method:'post',
        data:{
            ruleInfoId,
            ruleInfoContent,
            contentType
        }
    })
}