import $http from '../../utils/httpRequestUser'
// 个人中心接口
export const my={
	// 认证
	identifyCode(inviteCode){
		return $http.post(`/user/redstudent/identifyCode`,inviteCode);
	},
	// 意见反馈
	feedback(form){
		return $http.post(`/user/redsystemfeedback/save`,form);
	},
	// ==================最近/学习记录 start==========================//
	//获取历史记录
	getStudyRecords(){
		return $http.post(`/talk/userrecent/list`);
	},
	//清空历史记录
	cleanRecently(){
		return $http.get('talk/userrecent/delete');
	},
	// ==================最近/学习记录 end==========================//
	//===================我的 start================================//
	//获取用户信息
	getUserInfo(){
		return $http.get(`/user/reduser/getUserInfo`);
	},
	//=================积分 start================================//
	//获取积分任务完成信息
	getPointsTaskInfo(){
		return $http.get(`/score/list`);
	},
	//获取最近7天积分明细
	getPointsTask7Detail(){
		return $http.get(`/score/weekList`)
	},
	// 获取特定日期的积分明细
	getPointTaskDateDeatil(date){
		return $http.post(`/score/getListByDay`,{
			date
		})
	},
	//获取积分说明
	getPointExplain(contentType=1){
		return $http.get(`/score/redintegralruleinfo/getInfo/${contentType}`);
	},
	//=================积分 end=================================//
	// ================个人信息 start==========================//
	// 更新用户信息
	updateUserInfo(role,redPassportNumber,ids,data){
		return $http.post(`/user/reduser/updateUserInfo`,{...data,role,...ids,redPassportNumber})
	},
	//=================个人信息 end===========================//
	// ================红星榜 start==========================//
	//获取顶部通用数据
	getRedStarBoardData(){
		return $http.get(`/score/getRedStarData`);
	},
	//获取足迹打卡榜单
	getFootmarkRank(){
		return $http.get(`/score/getFootprintRank`);
	},
	// 获取积分榜单
	getPointRank(){
		return $http.get(`/score/getRedStarRank`);
	},
	//=================红星榜 end=============================//
	//================红色生涯 start=========================//
	//获取红色生涯(获取时间轴)
	getMyRedCareer(page=1,limit=20){
		return $http.get(`/user/reduser/getRedCareer?page=${page}&limit=${limit}`)
	},
	//获取证书
	getMyReward(){
		return $http.get(`/activity/reduseraward/getAwardByUser`)
	},
	//================红色生涯 end==========================//
	//================红星小铺 start============================//
	// 获取分类列表
	getGoodsTypeList(){
		return $http.get(`/shop/dataproducttype/list`)
	},
	// 根据分类获取商品
	getGoodsByType(productTypeName="",page=1,limit=20){
		return $http.get(`/shop/shopproduct/list?productTypeName=${productTypeName}&page=${page}&limit=${limit}`)
	},
	//兑换记录
	getExchangeRecord(page=1,limit=10){
		return $http.get(`/shop/shoporder/list?page=${page}&limit=${limit}`)
	},
	//兑换详情
	getExchangeRecordInfo(orderId){
		return $http.get(`/shop/shoporder/info/${orderId}`)
	},
	//兑换/下单
	buyGood(data){
		return $http.post(`/shop/shoporder/save`,data)
	},
	//获取最近一周的红星币
	geRedCointWeekList(){
		return $http.get(`/shop/coinrecord/getWeekList`);
	},
	//根据日期查看获取的红星币明细
	getRedCoinListByDay(date){
		return $http.post(`/shop/coinrecord/getListByDay`,{
			date
		})
	},
	//================红星小铺 end============================//
	//===============红色护照  start==========================//
	getRedPassport(){
		return $http.get(`/user/reduser/getRedPassport`)
	},
	//上传照片
	uploadPhoto(redUserId,userPhoto){
		return $http.post(`/user/reduser/update`,{
			redUserId,userPhoto
		})
	},
	//===============红色护照  end=============================//
	
	//===============消息 start===========================//
	//获取消息列表 总列表
	getReportList(page,limit){
		return $http.get(`/report/list`)
	},
	// 获取消息列表详情
	getReportInfoList(type,page=1,limit=10){
		return $http.get(`/report/listInfo?type=${type}&page=${page}&limit=${limit}`)
	},
	//==============消息 end==============================//
	//==============咨询 start==============================//
	getProblemResovleList(page=1,limit=10){
		return $http.get(`/system/redsystemproblemsolve/list?page=${page}&limit=${limit}`);
	},
	// =============咨询 end ================================//
	//通过第一次的欢迎仪式,通过后，isFirst变为1；
	doneWelcomeCeremony(){
		return $http.get(`/user/reduser/updateFirst`);
	}
} 