//管理下属机构，总后台管理地方后台
import $http from '../../utils/httpRequest'

export const org={
    //获取组织列表
    getOrgList(){
        return $http.get('/organization/list')
    },
    //创建机构
    createOrg(data){
        return $http.post('/organization/add',data)
    },
    //删除机构
    deleteOrg(orgId){
        return $http.put(`/organization/delete?orgId=${orgId}`)
    },
    //编辑机构
    editOrg(orgId,data){
        return $http.put(`/organization/update?orgId=${orgId}`,data)
    },
    //修改机构地方管理后台管理账号密码
    //支持jsdoc
    /**
     * @param {Object} data
     * @param {String} data.id
     * @param {String} data.password
     */
    changeAccountPassword(data){
        return $http.put('/organization/update_local_password',data)
    },
    //分配地方后台管理账号
    assignAccount(data){
        return $http.post('/organization/assign_local_account',data)
    },
    //重新分配地方后台管理账号
    reassignAccount(data){
        return $http.post('/organization/reassign_local_account',data)
    }
}