/*
 * @author: ym
 * @Date: 2021-11-02 13:39:40
 * @LastEditTime: 2021-11-02 13:43:07
 * @LastEditors: ym
 * @Description: 
 * @FilePath: \background-front-end\src\api\modules\shop-system.js
 */
import $http from '../../utils/httpRequest'
//===================== 商品分类 =============================
// 新增分类
export const saveDataProductType=(typeName)=>{
    return $http.post('/management/reddataproducttype/save',JSON.stringify(typeName))
}
// 批量修改
export const updateProductTypeSort=(list)=>{
    return $http.post('/management/reddataproducttype/updateProductTypeSort',JSON.stringify(list))
}
// // 根据id批量删除
export const deleteProductType=(idList)=>{
    return $http.post('/management/reddataproducttype/delete',JSON.stringify(idList));
}
// 查询分类
export const getProductTypeListByParams=()=>{
    return $http.get('/management/reddataproducttype/getList');
}

//===================== 商品管理 =============================
// 新增分类
export const saveProduct=(obj)=>{
    return $http.post('/shop/redshopproduct/save',JSON.stringify(obj))
}
// 批量修改
export const updateProduct=(obj)=>{
    return $http.post('/shop/redshopproduct/update',JSON.stringify(obj))
}
// // 根据id批量删除
export const deleteProduct=(idList)=>{
    return $http.post('/shop/redshopproduct/delete',JSON.stringify(idList));
}
// 查询分类
export const getProductListByParams=(obj)=>{
    return $http.request({
        method: 'get',
        params:obj,
        url:"/shop/redshopproduct/getListByParams"
    })
    // return $http.get('/shop/redshopproduct/getListByParams',JSON.stringify(obj));
}