/*
 * @Author: your name
 * @Date: 2021-10-08 17:39:17
 * @LastEditTime: 2022-01-02 15:07:46
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: \background-front-end\src\api\modules\user.js
 */
import $http from '../../utils/httpRequest'

//查询会员列表
export function getUserList(params){
    return $http({
        url:'/redMember/reduser/getUserListByParams',
        params
    })
}
//查询会员详情
export function getUserDetail(id){
    return $http({
        url:'/redMember/reduser/info/'+id,
        
    })
}
//更新会员信息
export function updateUserList(data){
    return $http({
        url:'redMember/reduser/update',
        method:'post',
        data
    })
}
//查询用户协议
export function getUserAgreement(){
    return $http({
        url:'/redMember/redpublishagreement/info/1',

    })
}
//保存用户协议
export function saveUserAgreement(data){
    return $http({
        url:'/redMember/redpublishagreement/update',
        method:'post',
        data
    })
}
// 查询红色护照
export function getUserRedPassport(){
    return $http({
        url:'/redMember/redpassport/info/1',
    })
}
// 保存红色护照
export function saveUserRedPassport(data){
    return $http({
        url:'/redMember/redpassport/update',
        method:'post',
        data
    })
}